VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::StorageBacking::Type Class Reference

The `StorageBacking.Type` enumerated type specifies the type of the StorageBacking . More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, DATASTORE, OTHER }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | DATASTORE = new Type("DATASTORE", Values.DATASTORE)
| The content of the library will be stored on a datastore.
static readonly Type | OTHER = new Type("OTHER", Values.OTHER)
| The content of the library will be stored on a remote file system.

## Detailed Description

The `StorageBacking.Type` enumerated type specifies the type of the StorageBacking .

## Member Enumeration Documentation

enum vmware::content::library::StorageBacking::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  DATASTORE | The content of the library will be stored on a datastore. These are vCenter Server managed datastores, and are logical containers that hide specifics of each storage device. Depending on the type of storage you use, datastores can be backed by the following file system formats: Virtual Machine File System (VMFS) Network File System (NFS)
  OTHER | The content of the library will be stored on a remote file system. Supports the following remote file systems: NFS (on vCenter Server Appliance) SMB (on vCenter Server Appliance and vCenter Server for Windows)

## Member Function Documentation

Values vmware::content::library::StorageBacking::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::content::library::StorageBacking::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::StorageBacking::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::content::library::StorageBacking::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::content::library::StorageBacking::Type::DATASTORE = new Type("DATASTORE", Values.DATASTORE)`[static]`

The content of the library will be stored on a datastore.

These are vCenter Server managed datastores, and are logical containers that hide specifics of each storage device. Depending on the type of storage you use, datastores can be backed by the following file system formats:

- Virtual Machine File System (VMFS)
- Network File System (NFS)

readonly Type vmware::content::library::StorageBacking::Type::OTHER = new Type("OTHER", Values.OTHER)`[static]`

The content of the library will be stored on a remote file system.

Supports the following remote file systems:

- NFS (on vCenter Server Appliance)
- SMB (on vCenter Server Appliance and vCenter Server for Windows)

The documentation for this class was generated from the following file:

- StorageBacking.cs